package com.dgtis.dorm.manager.db.service;

import java.util.List;

import com.dgtis.dorm.manager.db.dao.ReservationRecordMapper;
import com.dgtis.dorm.manager.db.domain.ReservationRecord;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 用户预约叫号记录 服务层实现
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
@Service
public class ReservationRecordService
{
	@Resource
	private ReservationRecordMapper reservationRecordMapper;

	/**
     * 查询用户预约叫号记录信息
     * 
     * @param id 用户预约叫号记录ID
     * @return 用户预约叫号记录信息
     */
	public ReservationRecord selectReservationRecordById(String id)
	{
	    return reservationRecordMapper.selectReservationRecordById(id);
	}
	
	/**
     * 查询用户预约叫号记录列表
     * 
     * @param reservationRecord 用户预约叫号记录信息
     * @return 用户预约叫号记录集合
     */
	public List<ReservationRecord> selectReservationRecordList(ReservationRecord reservationRecord)
	{
	    return reservationRecordMapper.selectReservationRecordList(reservationRecord);
	}
	
    /**
     * 新增用户预约叫号记录
     * 
     * @param reservationRecord 用户预约叫号记录信息
     * @return 结果
     */
	public int insertReservationRecord(ReservationRecord reservationRecord)
	{
	    return reservationRecordMapper.insertReservationRecord(reservationRecord);
	}
	
	/**
     * 修改用户预约叫号记录
     * 
     * @param reservationRecord 用户预约叫号记录信息
     * @return 结果
     */
	public int updateReservationRecord(ReservationRecord reservationRecord)
	{
	    return reservationRecordMapper.updateReservationRecord(reservationRecord);
	}


	
}
